<template>
    <button class="btn" @click="click">
        <slot></slot>
    </button>
</template>
<script>
export default {
  name: 'VButton',
  methods: {
    click (e) {
      this.$emit('click', e)
    }
  }
}
</script>

<style lang="scss">
.btn{
    box-shadow: 0px 3px 11px rgba(16, 0, 79, 0.2);
    border-radius: 20px;
    color: #FFFFFF;
    min-height: 41px;
    padding: 10px 20px;
    border: none;
    pointer-events: auto;

    &.round {
      padding: 10px 0px;
      text-align: center;
      border-radius: 100%;
      width: 41px;
    }

    &.text-green{
      color: #1AD16E;
    }

    &.green{
        background: #1AD16E;
        border-color: #1AD16E;
    }

    &.red{
        background: #F52C47;
        border-color: #F52C47;
    }

    &.white{
      background: white;
      border-color: white;
    }

    &.grey{
      background: rgba(0, 0, 0, 0.1);
      border-color: rgba(0, 0, 0, 0.1);
    }

    &.line{
        border-width: 2px;
        border-style: solid;
        background: none;
        padding: 6px 18px;
    }
}
</style>